#!/bin/bash

FILE=$( readlink -f "${BASH_SOURCE[0]}" )
DIR=$( dirname ${FILE} )
CONFIG="${DIR}/private-build-plans.toml"

if [ -r "${CONFIG}" ]; then
	if command -v docker; then
		sudo docker run -it -v $(pwd):/build avivace/iosevka-build -- ttf::iosevka-prog
		sudo chown -R $(id -u):$(id -g) "${DIR}/dist"
	else
		echo "Docker executable not found"
	fi
else
	echo "Can't read config file ${CONFIG}"
fi

